The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get a Connection Limiting Policy

Prev Next

This URL gets a connection limiting policy.

Resource URL

GET /connectionlimitingpolicy/<policy_id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
policy_id Policy id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
properties Object that contains the basic properties of the policy Object
connectionLimitingRules List of object that contains rules Array

Details of fields in properties:

Field Name Description Data Type
policyId Policy Id Number
name Policy name String
description Description of the policy String
domainId Domain Id Number
visibleToChild Is policy visible to child Boolean
lastModTimestamp Last modified time String
lastModUser Last modified user String

Details of fields in connectionLimitingRules:

Field Name Description Data Type
enabled Is rule enabled Boolean
description Description of the rule String
direction Can be one of these: INBOUND/OUTBOUND/EITHER String
ruleType Can be one of these: GTI/PROTOCOL String
thresholdType Can be one of these: CONNECTION_RATE/ACTIVE_CONNECTIONS String
thresholdValue A valid threshold value between 1 and 65535 Number
externalReputation Will be returned when ruleType is GTI. Can be one of these: HIGH_RISK/MEDIUM_OR_HIGH_RISK/UNVERIFIED_MEDIUM_OR_HIGH_RISK/ANY String
externalLocation Will be returned when ruleType is GTI. Can be either "Any" or one of the country from the list of country obtained using the URL: https://<NSM_IP>/sdkapi/connectionlimitingpolicy/countrylist String
serviceType Will be returned when ruleType is PROTOCOL Can be one of these: TCP/UDP/PING_ICMP_ECHO_REQ/ALL_TCP_AND_UDP String
portNumber Will be returned when serviceType is TCP/UDP. A valid port number between 1 and 65535. Number
response Can be one of these: ALERT_ONLY/ALERT_AND_DROP_EXCESS_CONNECTIONS/ALERT_AND_DENY_EXCESS_CONNECTIONS/ALERT_AND_QUARANTINE String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/connectionlimitingpolicy/104

Response

{
       		"properties":
       		{
           		"policyId": 104,
           		"name": "Updated_Test_CLP1",
           		"description": "CLP of Child Domain1",
           		"domainId": 101,
           		"visibleToChild": false,
           		"lastModTimestamp": "2013-05-08 09:32:41",
           		"lastModUser": "admin"
      	 	},
       		"connectionLimitingRules":
       		[
           		{
               			"enabled": true,
               			"description": "",
               			"direction": "EITHER",
               			"ruleType": "PROTOCOL",
               			"thresholdType": "CONNECTION_RATE",
               			"thresholdValue": 100,
              			"externalReputation": null,
              			"externalLocation": "Any",
               			"serviceType": "UDP",
               			"portNumber": 123,
               			"response": "ALERT_AND_QUARANTINE"
           		}
       		]
    	} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1901 Invalid connection limiting policy id/connection limiting policy not visible in this domain